<?php
/**
 * Template name: Landing Page
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage classiera
 * @since classiera 1.1
 */
get_header(); ?>

<?php 
	$page = get_page($post->ID);
	$current_page_id = $page->ID;
	$page_slider = get_post_meta($current_page_id, 'page_slider', true); 
	global $redux_demo;
	$homeLayout = $redux_demo['opt-homepage-layout-landing']['enabled'];
?>
<?php 
if ($homeLayout):
	foreach ($homeLayout as $key=>$value) { 
			switch($key) {
		 
					case 'banner': get_template_part( 'templates/slider/imageheader' );
					break;
					
					case 'layerslider': get_template_part( 'templates/slider/slidermap' );
					break;
					
					case 'premiumslider': get_template_part( 'templates/homev1/pslider' );
					break;
					
					case 'categories': get_template_part( 'templates/category/catstyle1');
					break;	
					
					case 'categoriesv2': get_template_part( 'templates/category/catstyle2');
					break;
					
					case 'categoriesv3': get_template_part( 'templates/category/catstyle3');
					break;
					
					case 'categoriesv4': get_template_part( 'templates/category/catstyle4');
					break;
					
					case 'categoriesv5': get_template_part( 'templates/category/catstyle5');
					break;
					
					case 'categoriesv6': get_template_part( 'templates/category/catstyle6');
					break;
					
					case 'customads': get_template_part( 'templates/customads' );    
					break;  
					
					case 'callout': get_template_part( 'templates/callout/style1' );
					break;
					
					case 'calloutv2': get_template_part( 'templates/callout/style4' );
					break;
					
					case 'locationv1': get_template_part( 'templates/locations/locationstyle1' );
					break;
					
					case 'locationv2': get_template_part( 'templates/locations/locationstyle2' );
					break;
					
					case 'locationv3': get_template_part( 'templates/locations/locationstyle3' );
					break;
					
					case 'advertisement': get_template_part( 'templates/adv/advstyle1' );    
					break; 
					
					case 'advertisement1': get_template_part( 'templates/adv/advstyle3' );    
					break; 
					
					case 'packagesv1': get_template_part( 'templates/homev1/homeplan' );    
					break;
					
					case 'packagesv2': get_template_part( 'templates/homev2/plans' );    
					break;
					
					case 'partners': get_template_part( 'templates/companyv1' );    
					break;
					
					case 'newsletter': get_template_part( 'templates/homev2/newssection' );    
					break;
					
					case 'advantage': get_template_part( 'templates/homev3/advantage' );    
					break;
					
					case 'counter': get_template_part( 'templates/homev3/counter' );    
					break;
					
					case 'twitter': get_template_part( 'templates/homev3/tweets' );    
					break;
					
					case 'ourprocess': get_template_part( 'templates/homev4/process' );    
					break;
					
					case 'faqs': get_template_part( 'templates/homev4/faqs' );    
					break;
				}			 
			}		 
	endif;
?>
<?php get_footer(); ?>